GREPHISTORY(1)

NAME
grephistory - display file names from Usenet history file

SYNOPSIS
grephistory [ -e ] [ -f filename ] [ -h ] [ -i ] [ -l ] [ -n ] [ -q ] [ -s ] [ -t ] [ messageid ]

DESCRIPTION
Grephistory queries the dbz(3) index into the history(5) file for an article having a specified Message-ID or hash key of Message-ID.

If messageid cannot be found in the database, the program prints ``Not found'' and exits with a non-zero status. If messageid is in the database, the program prints the token of the article and exits successfully.

OPTIONS

-e  If the ``-e'' flag is used, then grephistory will only print the filename of the token of an existing article.

-f  To specify a different value for the history file and database, use the ``-f'' flag.

-h  If the ``-h'' flag is used then the hash of the Message-ID will be printed regardless of its existense.

-i  If the ``-i'' flag is used, then grephistory will read a list of Message-ID's on standard input, one per line. Leading and trailing whitespace is ignored, as are any malformed lines. It will print on standard output those Message-ID's which are not found in the history database. This flag is used in processing ``ihave'' control messages.

-l  If the ``-l'' flag is used then the entire line from the history file will be displayed.

-n  If no pathname exists, the program will print ``/dev/null'' and exit successfully. This can happen when an article has been canceled, or if it has been expired but its history is still retained. This is default behavior, which can be obtained by using the ``-n'' flag.

-q  If the ``-q'' flag is used, then no message is displayed. The program will still exit with the appropriate exit status.

-s  If the ``-s'' flag is used, then grephistory will read a similar list from its standard input. It will print on standard output a list of filenames for each article that is still available. This flag is used in processing ``sendme'' control messages.

-t  If the ``-t'' flag is used, then only the offset into the history text file is printed.

HISTORY
Written by Rich $alz <rsalz@uunet.uu.net> for InterNetNews.

SEE ALSO
dbz(3), history(5), inn.conf(5).